%define upstream_name Test-Deep-JSON
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Compare JSON with Test::Deep
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Tester)
BuildArch:  noarch

# xt tests

%{?perl_default_filter}

%description
Compare JSON with Test::Deep.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.50.0-4.mga8
+ Revision: 1530491
- Mageia 8 Mass Rebuild

* Thu Aug 29 2019 tv <tv> 0.50.0-3.mga8
+ Revision: 1435084
- update BRs thus fixing build

* Thu Sep 20 2018 umeabot <umeabot> 0.50.0-2.mga7
+ Revision: 1286422
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 0.50.0-1.mga7
+ Revision: 1222245
- Update to version 0.05

* Tue Oct 03 2017 tv <tv> 0.40.0-2.mga7
+ Revision: 1166738
- rebuild with fixed rpm for missing autodeps

* Fri Sep 29 2017 tv <tv> 0.40.0-1.mga7
+ Revision: 1161548
- BR perl(Module::Build::Tiny)
- add missing BRs
- new release

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-5.mga6
+ Revision: 1034273
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.30.0-4.mga6
+ Revision: 971879
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.30.0-3.mga6
+ Revision: 893469
- BR perl(Module::Build)

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 739038
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-2.mga5
+ Revision: 686424
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.30.0-1.mga5
+ Revision: 619415
- update to 0.03

* Tue Oct 22 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 542262
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.20.0-1.mga4
+ Revision: 497151
- imported package perl-Test-Deep-JSON

